it.csi.mddtools.guigen

## Interface Typedefs

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Typedefs
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Typedefs'. Insieme dei tipi definiti nell'applicazione

  The following features are supported:

  - `Types`
  - `Namespaces`
  - `Ext Namespaces`
  See Also:
    `GuigenPackage.getTypedefs()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<TypeNamespace>` | `getExtNamespaces()` Returns the value of the 'Ext Namespaces' reference list.
    `org.eclipse.emf.common.util.EList<TypeNamespace>` | `getNamespaces()` Returns the value of the 'Namespaces' containment reference list.
    `org.eclipse.emf.common.util.EList<Type>` | `getTypes()` Returns the value of the 'Types' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTypes

          org.eclipse.emf.common.util.EList<Type> getTypes()

      Returns the value of the 'Types' containment reference list. The list contents are of type `Type`.

      If the meaning of the 'Types' containment reference list isn't clear, there really should be more of a description here...

      DEPRECATO: utilizzare tipi definiti in TypeNamespace esterni e referenziati in extNamespaces.
      Returns:
        the value of the 'Types' containment reference list.
      See Also:
        `GuigenPackage.getTypedefs_Types()`

    - #### getNamespaces

          org.eclipse.emf.common.util.EList<TypeNamespace> getNamespaces()

      Returns the value of the 'Namespaces' containment reference list. The list contents are of type `TypeNamespace`.

      If the meaning of the 'Namespaces' containment reference list isn't clear, there really should be more of a description here...

      DEPRECATO: utilizzare extNamespaces.
      Returns:
        the value of the 'Namespaces' containment reference list.
      See Also:
        `GuigenPackage.getTypedefs_Namespaces()`

    - #### getExtNamespaces

          org.eclipse.emf.common.util.EList<TypeNamespace> getExtNamespaces()

      Returns the value of the 'Ext Namespaces' reference list. The list contents are of type `TypeNamespace`.

      If the meaning of the 'Ext Namespaces' reference list isn't clear, there really should be more of a description here...

      Riferimento ai TypeNamespace utilizzati nell'applicazione.
      Returns:
        the value of the 'Ext Namespaces' reference list.
      See Also:
        `GuigenPackage.getTypedefs_ExtNamespaces()`